package org.ow2.weblab.portlet.util;

import org.ow2.weblab.core.extended.exception.WebLabCheckedException;
import org.ow2.weblab.core.helper.ResourceHelper;
import org.ow2.weblab.core.model.ComposedQuery;
import org.ow2.weblab.core.model.Query;

public abstract class WebLabQueryParser {
	public static final String TO_BE_ORDERED_BY = "http://weblab.ow2.org/core/1.2/ontology/retrieval#toBeOrderedBy";
	public static final String ASCENDENT_ORDERING_MODE_EXPECTED = "http://weblab.ow2.org/core/1.2/ontology/retrieval#ascendentOrderingModeExpected";
	public static final String HAS_SCOPE = "http://weblab.ow2.org/core/1.2/ontology/retrieval#hasScope";

	public abstract String getRequest(Query paramQuery, ResourceHelper paramResourceHelper) throws WebLabCheckedException;

	public abstract String getComposedRequest(ComposedQuery paramComposedQuery, ResourceHelper paramResourceHelper) throws WebLabCheckedException;

	public abstract String getRequestWithScope(Query paramQuery, ResourceHelper paramResourceHelper) throws WebLabCheckedException;

	public abstract String getOrderBy(Query paramQuery, ResourceHelper paramResourceHelper) throws WebLabCheckedException;

	public abstract boolean getOrder(Query paramQuery, ResourceHelper paramResourceHelper) throws WebLabCheckedException;
}